CISA shares alert for Citrix security release that can help prevent DoS attacks 

Citrix Releases Security Updates for Hypervisor | CISA

Citrix Hypervisor Security Update

Citrix has released security updates to address vulnerabilities in Hypervisor. An attacker could exploit these vulnerabilities to cause a denial-of-service condition.  CISA encourages users and administrators to review Citrix Security Update CTX316325 and apply the necessary updates.  Two security issues have been identified in Citrix Hypervisor 8.2 LTSR, each of which may allow privileged code in a guest VM to cause the host to crash or become unresponsive.  These issues only affect Citrix Hypervisor 8.2 LTSR.